<mamecheat version="1">

  <cheat desc="Infinite Continues">
    <script state="run">
      <action>maincpu.pb@1000C1=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Select Time">
    <script state="run">
      <action>maincpu.pb@105BA4=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Game Time">
    <script state="run">
      <action>maincpu.pb@104290=59</action>
    </script>
  </cheat>

  <cheat desc="Infinite Total Outs">
    <script state="run">
      <action>maincpu.pb@1000C0=16</action>
    </script>
  </cheat>

  <cheat desc="Infinite Strikes">
    <script state="run">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100040)=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Balls">
    <script state="run">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100041)=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Outs">
    <script state="run">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100042)=00</action>
    </script>
  </cheat>

  <cheat desc="Set Strikes to 0 Now!">
    <script state="on">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100040)=00</action>
    </script>
  </cheat>

  <cheat desc="Set Strikes to 2 Now!">
    <script state="on">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100040)=02</action>
    </script>
  </cheat>

  <cheat desc="Set Balls to 0 Now!">
    <script state="on">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100041)=00</action>
    </script>
  </cheat>

  <cheat desc="Set Balls to 3 Now!">
    <script state="on">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100041)=03</action>
    </script>
  </cheat>

  <cheat desc="Set Outs to 0 Now!">
    <script state="on">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100042)=00</action>
    </script>
  </cheat>

  <cheat desc="Set Outs to 2 Now!">
    <script state="on">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100042)=02</action>
    </script>
  </cheat>

  <cheat desc="Select Current Innings Now!">
    <parameter>
      <item value="0x00">Top of 1st</item>
      <item value="0x01">Bottom of 1st</item>
      <item value="0x02">Top of 2nd</item>
      <item value="0x03">Bottom of 2nd</item>
      <item value="0x04">Top of 3rd</item>
      <item value="0x05">Bottom of 3rd</item>
      <item value="0x06">Top of 4th</item>
      <item value="0x07">Bottom of 4th</item>
      <item value="0x08">Top of 5th</item>
      <item value="0x09">Bottom of 5th</item>
      <item value="0x0A">Top of 6th</item>
      <item value="0x0B">Bottom of 6th</item>
      <item value="0x0C">Top of 7th</item>
      <item value="0x0D">Bottom of 7th</item>
      <item value="0x0E">Top of 8th</item>
      <item value="0x0F">Bottom of 8th</item>
      <item value="0x10">Top of 9th</item>
      <item value="0x11">Bottom of 9th</item>
    </parameter>
    <script state="change">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100043)=param</action>
    </script>
  </cheat>

  <cheat desc="Always have a Quick Win"><comment>Strike out for an easy win. Enable this cheat and turn off the other cheats for this to work properly.</comment>
    <script state="run">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">
        (maincpu.pb@((maincpu.pw@1000CA)+100042)=02),
        (maincpu.pb@((maincpu.pw@1000CA)+100040)=02),
        (maincpu.pb@((maincpu.pw@1000CA)+100043)=11),
        (maincpu.pb@((maincpu.pw@1000CA)+100044)=63),
        (maincpu.pb@((maincpu.pw@1000CA)+100045)=00)
      </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Score PL1">
    <parameter min="1" max="100" step="1"/>
    <script state="run">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100044)=param</action>
    </script>
  </cheat>

  <cheat desc="Select Score PL2">
    <parameter min="1" max="100" step="1"/>
    <script state="run">
      <action condition="maincpu.pb@((maincpu.pw@1000CA)+100005)!=maincpu.pb@1000CB">maincpu.pb@((maincpu.pw@1000CA)+100045)=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Select Cartridge/NeoGeo Type"> <comment>Use in conjuction with the 'Skip RAM/ROM Checks' cheat for the best effect, then enable it and reset. The Home (NEOGEO) setting may open up other aspects of the game or it may even make the game unplayable.</comment>
    <parameter>
      <item value="0x80">Arcade (MVS)</item>
      <item value="0x00">Home (NEOGEO)</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@10FD82=param</action>
    </script>
  </cheat>

  <cheat desc="Skip RAM/ROM Checks"> <comment>Also allows a quicker start-up without the green screens. It's better to use together with Pre-Enable.</comment>
    <script state="on">
      <action>temp0 =maincpu.rd@C1315C</action>
      <action>temp1 =maincpu.rd@C1314E</action>
      <action>temp2 =maincpu.rd@C131E8</action>
      <action>temp3 =maincpu.rd@C13184</action>
      <action>temp4 =maincpu.rd@C1212E</action>
      <action>temp5 =maincpu.rd@C134FA</action>
    </script>
    <script state="run">
      <action condition="(maincpu.rd@C1315C==51CFFFF2)">maincpu.rd@C1315C=6000EB08</action> <!-- Euro + Japan-S2 BIOSs -->
      <action condition="(maincpu.rd@C1314E==51CFFFF2)">maincpu.rd@C1314E=6000EB16</action> <!-- Euro-S1 + Japan-S1 BIOSs -->
      <action condition="(maincpu.rd@C131E8==51CFFFF2)">maincpu.rd@C131E8=6000EA52</action> <!-- US BIOS -->
      <action condition="(maincpu.rd@C13184==51CFFFF2)">maincpu.rd@C13184=6000EAB6</action> <!-- US-E BIOS -->
      <action condition="(maincpu.rd@C1212E==51CFFFF2)">maincpu.rd@C1212E=6000EB36</action> <!-- Asia BIOS -->
      <action condition="(maincpu.rd@C134FA==51CFFFF2)">maincpu.rd@C134FA=6000E892</action> <!-- Japan BIOS -->
    </script>
    <script state="off">
      <action>maincpu.rd@C1315C=temp0 </action>
      <action>maincpu.rd@C1314E=temp1 </action>
      <action>maincpu.rd@C131E8=temp2 </action>
      <action>maincpu.rd@C13184=temp3 </action>
      <action>maincpu.rd@C1212E=temp4 </action>
      <action>maincpu.rd@C134FA=temp5 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
